/*********************************************
Project : Commande du Vigipark (TP1)
Version : 1
Mise  jour: 28/10/2010
Author  : Philippe Mariano
Company : LYCEE Pierre Emile MARTIN
Comments: Le bras descend tant que BP UHF
est actionn
Cible :  Systme VIGIPARK
Chip type           : ATMEGA8535
Clock frequency     : 8,000000 MHz
Memory model        : Small
Internal SRAM size  : 512
External SRAM size  : 0
Data Stack size     : 128
*********************************************/
// -----------------------------------------------------------------------------------------------------
// Bibliothques
// -----------------------------------------------------------------------------------------------------
#include <mega8535.h>
// =====================================================================================================
// Programme principal
// =====================================================================================================
void main(void)
{
// -----------------------------------------------------------------------------------------------------
// Dclaration des variables locales
// -----------------------------------------------------------------------------------------------------
// type 	        nom              		Description
// -----------------------------------------------------------------------------------------------------
unsigned char BP_UHF;                   // Etat du bouton poussoir UHF
unsigned char Moteur;                   // Commande du moteur
// -----------------------------------------------------------------------------------------------------
// Configuration des ports d'entres / sorties
// -----------------------------------------------------------------------------------------------------
DDRA = 0x??; 		                    // <-   complter
DDRC = 0x??; 		                    // <-   complter
// -----------------------------------------------------------------------------------------------------
// =====================================================================================================
// Boucle principale
// =====================================================================================================
while(1)
 {
//-------------------------------------------------------------------------------------------------------
// Lecture des entres
//-------------------------------------------------------------------------------------------------------
 BP_UHF = (PINA & 0x??);	            // <-   complter
//-------------------------------------------------------------------------------------------------------
// Traitement
//-------------------------------------------------------------------------------------------------------
 if (BP_UHF == 0x??) Moteur = 0x??;	    // <-   complter
 	    else Moteur = 0x??;             // <-   complter
//-------------------------------------------------------------------------------------------------------
// Ecriture des sorties
//-------------------------------------------------------------------------------------------------------
 PORTC = ????;                   // <-   complter
 }; // Fin du while
//-------------------------------------------------------------------------------------------------------
} // Fin du programme
// =====================================================================================================