/*********************************************
Project : Commande du Vigipark (TP1)
Version : 1
Mise  jour: 28/10/2010
Author  : Philippe Mariano
Company : LYCEE Pierre Emile MARTIN
Comments: Le bras monte jusqu' ce qu'il active
le capteur haut
Cible: Systme VIGIPARK
Chip type           : ATMEGA8535
Clock frequency     : 8,000000 MHz
Memory model        : Small
Internal SRAM size  : 512
External SRAM size  : 0
Data Stack size     : 128
*********************************************/

// -----------------------------------------------------------------------------------------------------
// Bibliothques
// -----------------------------------------------------------------------------------------------------
#include <mega8535.h>
// -----------------------------------------------------------------------------------------------------

// =====================================================================================================
// Programme principal
// =====================================================================================================
void main(void)
{  // Dbut prog principal
// Declare your local variables here
// -----------------------------------------------------------------------------------------------------
// type 	nom              		                Description
// -----------------------------------------------------------------------------------------------------
unsigned char BP_UHF, CAPT_HAUT;          // Etat logique du bouton poussoir UHF et du capteur HAUT
unsigned char Moteur;                     // Commande du moteur
// -----------------------------------------------------------------------------------------------------
// Configuration des ports d'entre / sortie
// -----------------------------------------------------------------------------------------------------
DDRA = 0x00;
DDRC = 0XFF;
// -----------------------------------------------------------------------------------------------------
// =====================================================================================================
// Boucle principale
// =====================================================================================================
while(1)
 {
//-------------------------------------------------------------------------------------------------------
// Lecture des Entres
//-------------------------------------------------------------------------------------------------------
 BP_UHF = (PINA & 0x10);
 CAPT_HAUT = (PINA & 0x??);                                         // <- A complter
//-------------------------------------------------------------------------------------------------------
// Traitement
//-------------------------------------------------------------------------------------------------------
 if ((BP_UHF == 0x10)&&(CAPT_HAUT != 0x??)) Moteur = 0x??;         	// <- A complter
                else Moteur = 0x??;                                 // <- A complter
//-------------------------------------------------------------------------------------------------------
// Ecriture des sorties
//-------------------------------------------------------------------------------------------------------
PORTC = Moteur;
// -----------------------------------------------------------------------------------------------------
 }; // Fin du while
// -----------------------------------------------------------------------------------------------------
} // Fin prog principal
// =====================================================================================================